Spot Elevation in plan view or in section view

Hi all,

I am trying to place sopt elevations in a plan view but its not working for me. I have tried to debug this but can’t able to figure it out.

can anyone please tell me where I am going wrong ?
The following pic explain where I am upto !!

The python code follow as below:

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import Document, XYZ

clr.AddReference("RevitNodes")
import Revit
clr.ImportExtensions(Revit.GeometryConversion)

clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

doc = DocumentManager.Instance.CurrentDBDocument

# Unwrap inputs
view = UnwrapElement(IN[0])
refs = UnwrapElement(IN[1])
origins = UnwrapElement(IN[2])
bends = UnwrapElement(IN[3])
ends = UnwrapElement(IN[4])
leader = UnwrapElement(IN[5])
spot_type = UnwrapElement(IN[6])

elementlist = []

try:
    TransactionManager.Instance.EnsureInTransaction(doc)
    
    for ref, pt, bend, end in zip(refs, origins, bends, ends):
        spot = doc.Create.NewSpotElevation(view, ref, XYZ(pt.X, pt.Y, pt.Z), XYZ(bend.X, bend.Y, bend.Z), XYZ(end.X, end.Y, end.Z), XYZ(pt.X, pt.Y, pt.Z), leader)
        elementlist.append(spot)
        
        if spot_type is not None:
            doc.GetElement(spot.GetTypeId()).ChangeTypeId(spot_type.Id)
    
    TransactionManager.Instance.TransactionTaskDone()
    
    OUT = elementlist

except Exception as ex:
    OUT = "Error: {}".format(str(ex))